/*!
 * @include "_NameSpace.js"
 * @include "Board.js"
 * @include "RangeList.js"
 * @include "ReferredList.js"
 * @include "ResItem.js"
 * @include "Strings.js"
 */

/**
 * X̏QƂIuWFNgBXeA^Cg⃌XȂǂ̏擾ƈꕔύX\B
 * 
 * @class _JVS.ThreadItem
 */
_JVS.ThreadItem = function(){
	/**
	 * IuWFNgQƂXBoardIuWFNg
	 * ActionF@LateCall:@Command:
	 * @type _JVS.Board
	 */
	this.Board = null;
	
	/**
	 * ThreadItemQƂX݂̎̂Ă邩ǂ
	 * true  ݂ĂAANZX\
	 * false 폜ĂAANZXs
	 * 
	 * X̓XNvgThreadItemIuWFNgɎQƂ邱ƂŎQƃJEgZ邽߁A
	 * ݂̎łThreadItemւ̎QƂConnectedfalseɂȂ邱Ƃ͂ȂB
	 * 
	 * ActionF@LateCall:@Command:
	 * @type bool
	 */
	this.Connected = true;
	
	/**
	 * X̃O(datt@C)݂邩
	 * true  ݂
	 * false ݂Ȃ
	 * ActionF@LateCall:@Command:
	 * @type bool
	 */
	this.DatExist = true;
	
	/**
	 * dat(datt@C̃t@Cgq菜)
	 * ActionF@LateCall:@Command:
	 * @type String
	 */
	this.DatName = "1234567890";
	
	/**
	 * 擾ς݂datt@C̑傫(P:byte)
	 * ActionF@LateCall:@Command:
	 * @type int
	 */
	this.DatSize = 100*1024;
	
	/**
	 * datt@CŜ̕
	 * ActionF@LateCall:@Command:
	 * @type String
	 */
	this.DatText = "name<>mail<>date<>message<>thread\n";
	
	/**
	 * X̃Xl
	 * ActionF@LateCall:@Command:
	 * @type int
	 */
	this.DeltaRes = 1;
	
	/**
	 * X̍ŏIX̎l
	 * ŏIX`l̏ꍇ0B
	 * ActionF@LateCall:@Command:
	 * @type int
	 */
	this.FinalRes = 0;
	
	/**
	 * X̂ځ[Ԃ擾
	 * ActionF@LateCall:@Command:
	 * @param {int} Index ځ[̏Ԃ擾郌X̃Xԍ
	 * @return {int} X̂ځ[
	 * 0: ʏ
	 * 1: ځ[
	 * 2: ځ[
	 * 4: X`FbN
	 */
	this.GetAbone = function(Index){return 0;};
	
	/**
	 * XɊ܂܂ꂽ>>1Ȃǂ̃XԃN̎QƐꗗێRangeListIuWFNg擾B
	 * ActionF@LateCall:@Command:
	 * 
	 * @example
	 * >>4 >>1-2 >>6-8@ƂNXł́A̓eRangeList߂lƂēB
	 * 
	 * RangeList.Count == 3
	 * RangeList.RangeBegin(0) == 1,@RangeList.RangeEnd(0) == 2
	 * RangeList.RangeBegin(1) == 4,@RangeList.RangeEnd(1) == 4
	 * RangeList.RangeBegin(2) == 6,@RangeList.RangeEnd(2) == 8
	 * RangeList.WholeRangeWidth == 6
	 * 
	 * AꂽRange̓\[gAQƐ͈̔͂Â͌Ad͍폜̂ŁA
	 * ̃XԎQƂႦ>>1,2 >>4 >>6-7 >>7-8łĂʂɂȂAʂłȂ
	 * 
	 * @param {int} Index XԃNQƈꗗ擾郌X̃Xԍ
	 * @param {int} IncludeName
	 * @return {_JVS.RangeList} XԃNQƈꗗێRangeList
	 */
	this.GetNumberLinks = function(Index, IncludeName){return null;};
	
	/**
	 * X̑SXɂāA>>1Ȃǂ̃XԃNł̃XQƂẌꗗێ
	 * ReferredListIuWFNg擾B
	 * ActionF@LateCall:@Command:
	 * @return {_JVS.ReferredList} ̃X̃XԃNێReferredListIuWFNg
	 */
	this.GetReferredList = function(){return null;};
	
	/**
	 * X̓eێResItemIuWFNg擾
	 * ActionF@LateCall:@Command:
	 * @param {int} Index e擾郌X̃X
	 * @return {_JVS.ResItem} XeێResItemIuWFNg
	 */
	this.GetRes = function(Index){return null;};
	
	/**
	 * XɊ܂܂URL̈ꗗ擾
	 * ActionF@LateCall:@Command:
	 * @param {int} Index URLꗗ擾郌X̃X
	 * @return {_JVS.Strings} URLꗗێStringsIuWFNg
	 */
	this.GetUrlList = function(Index){return null;};
	
	/**
	 * Subject.txt擾X(Xꗗ́uXv)
	 * ActionF@LateCall:@Command:
	 * @type int
	 */
	this.ItemCount = 1;
	
	/**
	 * X̐̒l
	 * ActionF@LateCall:@Command:
	 * @type int
	 */
	this.ItemDelta = 1;
	
	/**
	 * X̍ŏI擾̎l
	 * ŏIX`l̏ꍇ0B
	 * @type int
	 */
	this.LastGot = 0;
	
	/**
	 * dat̍ŏIXV(httpX|Xwb_擾)
	 * 
	 * QlFjavascript̓tIuWFNgɕϊ@
	 * var lastModified = new Date(thread.lastModified);
	 * 
	 * ActionF@LateCall:@Command:
	 * @type String
	 */
	this.LastModified = "Thu, 01 Jan 1970 00:00:00 GMT";;
	
	/**
	 * X̍ŏI݂̎lB`l̏ꍇ0B
	 * ActionF@LateCall:@Command:
	 * @type int
	 */
	this.LastWrote = 0;
	
	/**
	 * 擾ς݂̃X
	 * ActionF@LateCall:@Command:
	 * @type int
	 */
	this.Lines = 1;
	
	/**
	 * ỸX\ĂXr[ꍇ͂̃XēǍB
	 * SetAbone()łځ[Ԃݒ肵ANGVKǉɕ\ɂ𔽉f̂Ɏgp
	 * ActionF@LateCall:@Command:
	 */
	this.LocalReload = function(){};
	
	/**
	 * Ẍ̏
	 * 1: 󂠂
	 * 0: Ȃ
	 * ActionF@LateCall:@Command:
	 * @type int
	 */
	this.Mark = 0;
	
	/**
	 * ꗗł̃X̔ԍBߋȌꍇ0
	 * ActionF@LateCall:@Command:
	 * @type int
	 */
	this.Number = 1;
	
	/**
	 * VXeł͎gp/䂵ȂB
	 * XNvgXƂɌŗL̏ێꍇɏ̃vpeBɑB
	 * XNvgƂɕۑ̈悪Ă̂ŁAThreadItemɑ΂A.jsB.jsʁX
	 * ThreadItem.ObjݒłBtɁÃXNvgݒ肵ObjQƂ邱Ƃ͂łȂB
	 * XNvg̎QƂȂȂĂObj͕ێAēxXNvgQƂΒl擾\B
	 * AX͔̍XVɎQƂȂ΍폜č쐬̂ŁAThreadItemIuWFNg
	 * QƂĂȂXێObj͂̃X̍XVɂ荂mŎB
	 * 
	 * ActionF@LateCall:@Command:
	 * @type Object
	 */
	this.Obj = null;
	
	/**
	 * ǂݍݍς݂̃X̂AǂɂȂĂ郌X̔ԍ
	 * Ԃ̃Xɂ̒lݒ肵ĂJƂŁu̐𖢓ǂŕvݒ肵Ă̂
	 * ̌ʂB
	 * ActionF@LateCall:@Command:
	 * @type int 
	 */
	this.OldLines = 1;
	
	/**
	 * X̂ځ[Ԃݒ肷BSetAbonesĂXr[̕\ɂ͔fȂB
	 * \ɔfɂ́AKvȂځ[ݒ肵ThreadItem.LocalReload()Ăяo
	 * ēǍsB
	 * ActionF@LateCall:@Command:
	 * @param {int} Index ځ[̏Ԃ擾郌X̃Xԍ
	 * @param {int} Value Xɐݒ肷邠ځ[
	 * 0: ʏ
	 * 1: ځ[
	 * 2: ځ[
	 * 4: X`FbN
	 */
	this.SetAbone = function(Index, Value){};
	
	/**
	 * X̃^CgBύX.idxt@CɕύXۑAȌ͂̃X^Cŕ\B
	 * ActionF@LateCall:@Command:
	 * @type String
	 */
	this.Title = "";
	
	/**
	 * XURLBXwȂǂ͕tȂB
	 * ActionF@LateCall:@Command:
	 * @type String
	 */
	this.URL = "";
	
	/**
	 * XɋLRe[AhX
	 * @type String
	 */
	this.UserdWriteMail = "";
	
	/**
	 * XɋLRe
	 * @type String
	 */
	this.UserdWriteName = "";
};
